petsc-3.12.4 2020-02-04
Report Typos and Errors

# MatFDColoringDestroy

Destroys a matrix coloring context that was created via MatFDColoringCreate().

### Synopsis

    #include "petscmat.h"
    PetscErrorCode  MatFDColoringDestroy(MatFDColoring *c)

Collective on MatFDColoring

### Input Parameter

c -coloring context

### See Also

MatFDColoringCreate()

### Level

intermediate

### Location

src/mat/matfd/fdmatrix.c

### Examples

src/mat/examples/tutorials/ex16.c.html
src/snes/examples/tutorials/ex14.c.html
src/tao/unconstrained/examples/tutorials/minsurf2.c.html
Index of all MatFD routines
Table of Contents for all manual pages
Index of all manual pages